# $Id$

Summary: rkhunter for SME Server
Name: smeserver-rkhunter
%define version 1.2.0
%define release 10
%define displayversion %{version}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: smeserver-rkhunter-%{version}.tar.gz
Patch0: smeserver-rkhunter-1.2.0-fixQuotes.patch
Patch1: smeserver-rkhunter-1.2.0-maipatch.patch
Patch2: smeserver-rkhunter-1.2.0-correct.patch
Patch3: smeserver-rkhunter-1.2.0-headsh.patch
Patch4:  smeserver-rkhunter-1.2.0-patchchmod.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: rkhunter
BuildRequires: perl, e-smith-devtools

%description
rkhunter for SME Server

%changelog
* Tue Sep 17 2013 JP Pialasse <tests@pialasse.com> 1.2.0-10
- fix not run in cron daily  [SME: 7800]
- typos in patchs

* Tue Jul 02 2013 JP Pialasse <tests@pialasse.com> 1.2.0-7
- fix typo patch correct
- fix spare space

* Sat Jun 23 2013 JP Pialasse <tests@pialasse.com> 1.2.0-5
- fix email error root@localhost [SME: 7103] 
- adding option for warning mail in .conf
- Patch2

* Thu Jun 20 2013 JP Pialasse <tests@pialasse.com>
- fix email error root@localhost [SME: 7103]
- you can set the mail you want with key mail and default is root

* Thu May 14 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-3
- Bump version number in order to move package to SME Contribs [SME: 5172]

* Tue Apr  7 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-2
- Remove quotes in DISABLE_TESTS setting [SME: 5149]

* Fri Apr  3 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 1.2.0-1
- Initial draft of rkhunter for SME Server
- Adjust ALLOW_SSH_ROOT_USER according to sshd PermitRootLogin setting [SME: 3718]

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
